#ifndef __TOOLS_H__
#define __TOOLS_H__
    size_t strlcpy (char *, const char *, size_t);
    size_t strlcat (char *, const char *, size_t);

    char * generate_uid (void);

    void ExpandParv(char *, int, int, int, char **);

    int generictoken(char, int, char *, char **);

    uint32 hash(char *item);

    unsigned int hash_safe(char *item, ub4 len);

    char *timediff(time_t);

    char *str_signed(unsigned char *str);

    void ntoa(struct in_addr addr, char *ipaddr, int len);

    char *str_ntoa(struct in_addr addr);

    char * strtolower (char *);

#endif

