
#ifndef __MYLOG_H__
#define __MYLOG_H__

int uselogchan;

static FILE *logfd;

void OpenLog    (void);

void Log        (char *, ...);
void alog       (int, char*, ...);

void sendto_logchan (char *, ...);
void sendto_console (char *, ...);


/**
 * Debug  log types
 */

#define DEBUG    1
#define DEBUG_2  2
#define DEBUG3    11

/**
 * Errors
 */

#define ERROR    3
#define CRITICAL 4

/**
 * Standard log types
 */

#define LOG_EVENT   5
#define LOG_LINK    6
#define LOG_USER    7
#define LOG_CHAN    8
#define LOG_IO      9
#define LOG_MODULE 10

/**
 * Backtraceing
 */

#define LOG_BACKTRACE 12

void CleanUpLogs(int,char**);


#endif //__LOG_H__

