/* include/setup.h.  Generated from setup.h.in by configure.  */
/* include/setup.h.in.  Generated from configure.ac by autoheader.  */

/* Arguments passed to configure */
#define CONFIGURE_ARGS " '--enable-debug'"

/* Prefix where core modules are installed. */
#define CORE_DIR "/home/mitch/omega/modules/core"

/* Prefix where databases are saved. */
#define DBDIR "/home/mitch/omega/var/db"

/* Using debug commands */
#define DEBUG_MODE 1

/* Prefix where config files are installed. */
#define ETC_DIR "/home/mitch/omega/etc"

/* Prefix where guardian modules are installed. */
#define GMOD_DIR "/home/mitch/omega/modules/guardian"

/* Define to 1 if you have the `backtrace' function. */
/* #undef HAVE_BACKTRACE */

/* Define to 1 if you have the <errno.h> header file. */
#define HAVE_ERRNO_H 1

/* Define to 1 if you have the `getaddrinfo' function. */
#define HAVE_GETADDRINFO 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the `kevent' function. */
/* #undef HAVE_KEVENT */

/* Define to 1 if you have the `crypto' library (-lcrypto). */
#define HAVE_LIBCRYPTO 1

/* libevent is available for use */
/* #undef HAVE_LIBEVENT */

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* OpenSSL support enabled */
#define HAVE_OPENSSL 1

/* Define if you have POSIX threads libraries and header files. */
#define HAVE_PTHREAD 1

/* Define to 1 if you have the `setproctitle' function. */
#define HAVE_SETPROCTITLE 1

/* Define to 1 if you have the `snprintf' function. */
#define HAVE_SNPRINTF 1

/* SQLite is available for use */
#define HAVE_SQLITE 1

/* Define to 1 if you have the <stddef.h> header file. */
#define HAVE_STDDEF_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the `strdup' function. */
#define HAVE_STRDUP 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the `strlcat' function. */
#define HAVE_STRLCAT 1

/* Define to 1 if you have the `strlcpy' function. */
#define HAVE_STRLCPY 1

/* Define to 1 if you have the <sys/event.h> header file. */
#define HAVE_SYS_EVENT_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Support for XMLRPC-C */
/* #undef HAVE_XMLRPC_C */

/* Prefix where to write logfiles. */
#define LOG_DIR "/home/mitch/omega/logs"

/* Prefix where modules are installed. */
#define MODULE_DIR "/home/mitch/omega/modules"

/* Define this to disable debugging support. */
#define NDEBUG 1

/* Compiled with omega statistical module. */
#define OMEGASTATS 1

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME "Omega"

/* Define to the full name and version of this package. */
#define PACKAGE_STRING "Omega SilverSky"

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME "omega"

/* Define to the version of this package. */
#define PACKAGE_VERSION "SilverSky"

/* Prefix where omega is installed. */
#define PREFIX "/home/mitch/omega"

/* Define to necessary symbol if this constant uses a non-standard name on
   your system. */
/* #undef PTHREAD_CREATE_JOINABLE */

/* Define this to enable soft asserts. */
/* #undef SOFT_ASSERT */

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Using debugging malloc */
/* #undef USE_DMALLOC */

/* Use kqueue() instead of the standard select() */
/* #undef USE_KQUEUE */

/* Define to 1 if on MINIX. */
/* #undef _MINIX */

/* Define to 2 if the system does not provide POSIX.1 features except with
   this defined. */
/* #undef _POSIX_1_SOURCE */

/* Define to 1 if you need to in order for `stat' and other things to work. */
/* #undef _POSIX_SOURCE */

/* Enable extensions on AIX 3, Interix.  */
#ifndef _ALL_SOURCE
# define _ALL_SOURCE 1
#endif
/* Enable GNU extensions on systems that have them.  */
#ifndef _GNU_SOURCE
# define _GNU_SOURCE 1
#endif
/* Enable threading extensions on Solaris.  */
#ifndef _POSIX_PTHREAD_SEMANTICS
# define _POSIX_PTHREAD_SEMANTICS 1
#endif
/* Enable extensions on HP NonStop.  */
#ifndef _TANDEM_SOURCE
# define _TANDEM_SOURCE 1
#endif
/* Enable general extensions on Solaris.  */
#ifndef __EXTENSIONS__
# define __EXTENSIONS__ 1
#endif


/* Define to `__inline__' or `__inline' if that's what the C compiler
   calls it, or to nothing if 'inline' is not supported under any name.  */
#ifndef __cplusplus
/* #undef inline */
#endif
