#include "stdinc.h"
#include "server.h"
#include "extern.h"

#define NAME	"g_fantasy"
#define VERSION	"$Id: g_fantasy.c 1392 2008-09-11 05:45:25Z twitch $"
#define AUTHOR	"Jer"

static void fantasy_privmsg	(User *, int, char **);

static int Module_Init();
static void Module_Close();


MODHEADER(NAME, VERSION, AUTHOR, MAKE_ABI(0,5,2),Module_Init, Module_Close);


static int Module_Init ()
{
	AddUserCmd ("PRIVMSG", fantasy_privmsg);

	return MOD_CONT;
}

static void Module_Close ()
{
	DelUserCmd ("PRIVMSG", fantasy_privmsg);
	return;
}

static void fantasy_privmsg (User *source, int argc, char **argv)
{
	int 	i, cnt, x;
	char	*params[512], param[512];
	Channel	*ch;

	if (argc < 3)
		return;

	if (*argv[1] != '#')
		return;

	if (*argv[2] != '!')
		return;

	*argv[2] = '\0';
	argv[2]++;

	if (!*argv[2])
		return;

	cnt	= generictoken (' ', 512, argv[2], params);

	if (!params)
		return;

	ExpandParv (param, sizeof(param), 1, cnt, params);
	x = do_cmd (params[0], s_Guardian, source, cnt, param);

	if (x == 0)
		sendto_logchan ("%s: %s", source->nick, argv[2]);

	return;
}
