#include "stdinc.h"
#include "server.h"

#define NAME "m_trace"
#define AUTHOR "Jer"
#define VERSION "$Id: m_trace.c 1438 2008-09-27 19:56:12Z twitch $"


int Module_Init();
void Module_Close();

void m_trace (User *user,int i,char **argv);

MODHEADER(NAME, VERSION, AUTHOR, MAKE_ABI(0,5,2),Module_Init, Module_Close);


int Module_Init()
{
    AddUserCmd("TRACE", m_trace);
    return MOD_CONT;
}

void Module_Close()
{

	DelUserCmd("TRACE", m_trace);
	return;
}

void m_trace (User *user,int i,char **argv)
{
	dlink_node		*dl;
	User			*u;


	if (user->oper)
	{
		DLINK_FOREACH (dl, userlist.head)
		{
			u	= dl->data;

			if (MyConnect(u))
				send_line (":%s %d %s User users %s[%s@%s] (%s) 0 :0", CfgSettings.servername, 205, user->nick,
						u->nick, u->user, u->host, "*");
		}
	}

    return;
}

